#!/bin/bash
#Program:
# 显示用户执行命令时输入的参数
# History:
# 2024/07/14  LouisFonda<yigencong@yahoo.com>

echo "这个程序的名字  ==> ${0}"
echo "总共有多少个参数 ==> $#" 
# 判断输入的参数是否小于2
[ "$#" -lt 2 ] && echo "参数不能小于两个" && exit 0
echo "你的所有的参数是  ==》'$@'"
echo "你的所有的参数是  ==》'$*'"
echo "第一个参数是  ==》${1}"
echo "第二个参数是  ==》${2}"
shift
echo "偏移后的所有参数 => '$@'" # 会把参数向左移动，后面可以接参数，比如 one two three shift 2 => three

# $@表示 "$1" "$2" "$3"
# $*表示 "$1 $2 $3"

